// NOTE: it is recommended to use this even if you don't understand the following code.

using System;
using System.IO;
using System.Linq;
using System.Collections.Generic;

namespace tulips2 {

    class Program {
        static void Main(String[] args) {
            StreamReader streamReader = new StreamReader(Console.OpenStandardInput());
            StreamWriter streamWriter = new StreamWriter(Console.OpenStandardOutput());
            // uncomment the two following lines if you want to read/write from files
            // streamReader = new StreamReader("input.txt");
            // streamWriter = new StreamWriter("output.txt");

            IEnumerator<String> it = GetEnumerator(streamReader);

            int topLeftX = Convert.ToInt32(Next(it));
            int topLeftY = Convert.ToInt32(Next(it));

            int topRightX = Convert.ToInt32(Next(it));
            int topRightY = Convert.ToInt32(Next(it));

            int bottomRightX = Convert.ToInt32(Next(it));
            int bottomRightY = Convert.ToInt32(Next(it));

            int bottomLeftX = Convert.ToInt32(Next(it));
            int bottomLeftY = Convert.ToInt32(Next(it));

            int N = Convert.ToInt32(Next(it));

            int[] X = new int[N], Y = new int[N];
            for (int i = 0; i < N; ++i) {
                X[i] = Convert.ToInt32(Next(it));
                Y[i] = Convert.ToInt32(Next(it));
            }

            int K = 0;


            // INSERT YOUR CODE HERE


            streamWriter.WriteLine($"{K}");

            streamReader.Close();
            streamWriter.Close();
        }

        static IEnumerator<String> GetEnumerator(StreamReader sr) {
            String line;
            while ((line = sr.ReadLine()) != null) {
                String[] tokens = line.Split(' ').Where(t => t.Length > 0).ToArray();
                foreach (String t in tokens) {
                    yield return t;
                }
            }
        }

        static String Next(IEnumerator<String> iterator) {
            return iterator.MoveNext() ? iterator.Current : null;
        }
    }
}
